Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | Public Attributes | List of all members
ranges::view::tail_fn Struct Referenceabstract

## Synopsis of methods
constexpr view< tail_fn > | tail {}

## Public Member Functions
template<typename Rng >
auto | operator() (Rng &&rng) const -> meta::if_c< range_cardinality< Rng >::value==0

## Public Attributes
auto | all_t< Rng >
auto tail_view< all_t< Rng > > requires ViewableRange< Rng > && | InputRange< Rng >

## Member Data Documentation

## ◆ InputRange< Rng >

auto tail_view<all_t<Rng> > requires ViewableRange<Rng>&& ranges::view::tail_fn::InputRange< Rng >

Initial value:
{
return all(static_cast<Rng &&>(rng))